package unlh.ri;

import org.graphstream.graph.Graph;
import org.graphstream.graph.implementations.DefaultGraph;
import org.graphstream.stream.file.FileSourceEdge;
import java.io.IOException;

public class MesuresRI {
    public static void main(String ... args) throws IOException {
        String filePath = "data/com-dblp.ungraph.txt";
        Graph g = new DefaultGraph("g");
        FileSourceEdge fs = new FileSourceEdge();
        try {
            fs.addSink(g);
            fs.readAll(filePath);
            g.display();
        } catch (IOException e) {
            e.printStackTrace();
            fs.end();
        } finally {
            fs.removeSink(g);
        }
    }
}


